import cn from 'classnames'
import PropTypes from 'prop-types'
import React from 'react'
import styles from './ContentContainer.module.css'

/**
 * Render the ColContentContainerumns component.
 *
 * @param {object} props             Container component props.
 * @param {string} props.id          Optional ID/Anchor.
 * @param {string} props.className   Optional className.
 * @param {object} props.children    React children.
 * @return {Element}                 The ContentContainer component.
 */
export default function ContentContainer({id, className, children}) {
  return (
    <div id={id || null} className={cn(styles.container, className)}>
      {children && children}
    </div>
  )
}

ContentContainer.propTypes = {
  id: PropTypes.string,
  className: PropTypes.string,
  children: PropTypes.node
}
